import { FactoryProvider } from '@nestjs/common';
import { EntityParam, CheckRelationName, FindOneRowEntity, RunInTransaction } from '@klerick/json-api-nestjs';
import { DataSource, EntityManager, Repository } from 'typeorm';
import { TypeOrmService } from '../service';
import { EntityClass } from '@mikro-orm/core';
export declare function CurrentDataSourceProvider(connectionName?: string): FactoryProvider<DataSource>;
export declare function CurrentEntityManager(): FactoryProvider<EntityManager>;
export declare function CurrentEntityRepository<E extends object>(entity: E): FactoryProvider<Repository<E>>;
export declare function EntityPropsMap<E extends object>(entities: EntityClass<E>[]): {
    provide: symbol;
    inject: symbol[];
    useFactory: (entityManager: EntityManager) => Map<EntityClass<E>, EntityParam<E>>;
};
export declare function FindOneRowEntityFactory<E extends object>(): FactoryProvider<FindOneRowEntity<E>>;
export declare function CheckRelationNameFactory<E extends object, IdKey extends string = 'id'>(): FactoryProvider<CheckRelationName<E>>;
export declare function RunInTransactionFactory(): FactoryProvider<RunInTransaction>;
export declare function OrmServiceFactory(): {
    provide: symbol;
    useClass: typeof TypeOrmService;
};
