"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRelationship = getRelationship;
const common_1 = require("@nestjs/common");
async function getRelationship(id, rel) {
    const paramsId = 'paramsId';
    const result = (await this.repository
        .createQueryBuilder()
        .select([
        this.typeormUtilsService.getAliasPath(this.typeormUtilsService.currentPrimaryColumn),
        this.typeormUtilsService.getAliasPath(this.typeormUtilsService.getPrimaryColumnForRel(rel), this.typeormUtilsService.getAliasForRelation(rel)),
    ])
        .where(`
      ${this.typeormUtilsService.getAliasPath(this.typeormUtilsService.currentPrimaryColumn)} = :paramsId
    `)
        .leftJoin(this.typeormUtilsService.getAliasPath(rel.toString()), this.typeormUtilsService.getAliasForRelation(rel))
        .setParameters({
        [paramsId]: id,
    })
        .getOne());
    if (!result) {
        const error = {
            code: 'invalid_arguments',
            message: `Resource '${this.typeormUtilsService.currentAlias}' with id '${id}' does not exist`,
            path: ['fields'],
        };
        throw new common_1.NotFoundException([error]);
    }
    const data = this.transformDataService.transformRel(result, rel);
    return {
        meta: {},
        data,
    };
}
//# sourceMappingURL=get-relationship.js.map