"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postOne = postOne;
const json_api_nestjs_shared_1 = require("@klerick/json-api-nestjs-shared");
async function postOne(inputData) {
    const { attributes, relationships, id } = inputData;
    const idObject = id
        ? { [this.typeormUtilsService.currentPrimaryColumn.toString()]: id }
        : {};
    const attributesObject = {
        ...attributes,
        ...idObject,
    };
    const entityTarget = this.repository.manager.create(this.repository.target, attributesObject);
    const saveData = await this.typeormUtilsService.saveEntityData(entityTarget, relationships);
    const fakeQuery = {
        [json_api_nestjs_shared_1.QueryField.fields]: null,
        [json_api_nestjs_shared_1.QueryField.include]: Object.keys(relationships || {}),
    };
    const { data, included } = this.transformDataService.transformData(saveData, fakeQuery);
    const includeData = included ? { included } : {};
    return {
        meta: {},
        data,
        ...includeData,
    };
}
//# sourceMappingURL=post-one.js.map