import { ErrorFormatService } from '@klerick/json-api-nestjs';
import { BadRequestException, ConflictException, HttpException, NotAcceptableException } from '@nestjs/common';
import { EntityMetadata } from 'typeorm';
import { Driver } from 'typeorm/driver/Driver';
export declare const formErrorString: (entityMetadata: EntityMetadata, errorText: string) => string;
export declare const PostgresError: {
    23502: (entityMetadata: EntityMetadata, errorText: string, detail?: string) => BadRequestException;
    23505: (entityMetadata: EntityMetadata, errorText: string, detail?: string) => ConflictException;
    "22P02": (entityMetadata: EntityMetadata, errorText: string, detail?: string) => BadRequestException;
    22007: (entityMetadata: EntityMetadata, errorText: string, detail?: string) => BadRequestException;
    22003: (entityMetadata: EntityMetadata, errorText: string, detail?: string) => BadRequestException;
    23503: (entityMetadata: EntityMetadata, errorText: string, detail?: string) => NotAcceptableException;
};
export declare class TypeOrmFormatErrorService extends ErrorFormatService {
    private entityManager;
    private readonly mapProperty;
    private _dbDriver;
    get dbDriver(): Driver;
    formatError(error: unknown): HttpException;
    private prepareDataBaseError;
}
