"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypeOrmService = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const json_api_nestjs_1 = require("@klerick/json-api-nestjs");
const typeorm_1 = require("typeorm");
const orm_methods_1 = require("../orm-methods");
const typeorm_utils_service_1 = require("./typeorm-utils.service");
const constants_1 = require("../constants");
class TypeOrmService {
    typeormUtilsService;
    transformDataService;
    config;
    repository;
    getAll(query) {
        return orm_methods_1.getAll.call(this, query);
    }
    deleteOne(id) {
        return orm_methods_1.deleteOne.call(this, id);
    }
    deleteRelationship(id, rel, input) {
        return orm_methods_1.deleteRelationship.call(this, id, rel, input);
    }
    getOne(id, query) {
        return orm_methods_1.getOne.call(this, id, query);
    }
    getRelationship(id, rel) {
        return orm_methods_1.getRelationship.call(this, id, rel);
    }
    patchOne(id, inputData) {
        return orm_methods_1.patchOne.call(this, id, inputData);
    }
    patchRelationship(id, rel, input) {
        return orm_methods_1.patchRelationship.call(this, id, rel, input);
    }
    postOne(inputData) {
        return orm_methods_1.postOne.call(this, inputData);
    }
    postRelationship(id, rel, input) {
        return orm_methods_1.postRelationship.call(this, id, rel, input);
    }
}
exports.TypeOrmService = TypeOrmService;
tslib_1.__decorate([
    (0, common_1.Inject)(typeorm_utils_service_1.TypeormUtilsService),
    tslib_1.__metadata("design:type", typeorm_utils_service_1.TypeormUtilsService)
], TypeOrmService.prototype, "typeormUtilsService", void 0);
tslib_1.__decorate([
    (0, common_1.Inject)(json_api_nestjs_1.JsonApiTransformerService),
    tslib_1.__metadata("design:type", json_api_nestjs_1.JsonApiTransformerService)
], TypeOrmService.prototype, "transformDataService", void 0);
tslib_1.__decorate([
    (0, common_1.Inject)(json_api_nestjs_1.CONTROLLER_OPTIONS_TOKEN),
    tslib_1.__metadata("design:type", Object)
], TypeOrmService.prototype, "config", void 0);
tslib_1.__decorate([
    (0, common_1.Inject)(constants_1.CURRENT_ENTITY_REPOSITORY),
    tslib_1.__metadata("design:type", typeorm_1.Repository)
], TypeOrmService.prototype, "repository", void 0);
//# sourceMappingURL=type-orm.service.js.map